import pyemu
import os
sim_ws = "clean"
template_ws = 'test'
pf = pyemu.utils.PstFrom(original_d=sim_ws, new_d=template_ws,
                             remove_existing=True,
                             longnames=True,
                             zero_based=False, tpl_subfolder='tpl')

wel_files = [f for f in os.listdir(template_ws) if f.startswith("wel_") and f.endswith(".dat")]
pf.add_parameters(filenames=wel_files, par_type="grid",
    par_name_base=f"wel_datasource_mult", pargp="wel_datasource_mult",
    upper_bound=2., lower_bound=0.5,
    #ult_ubound=wel_ultimate_bounds[1], 
    #ult_lbound=wel_ultimate_bounds[0],
    index_cols=[6], use_cols=[3], par_style="multiplier",
    comment_char='#')